#GCC = -static -Os
#GCC = -O2 -pipe
GCC = -g
CFLAGS = ${GCC} -I${PETSC_DIR}/src/dm/mesh/sieve ${BOOST_INCLUDE} ${TRIANGLE_INCLUDE} ${TETGEN_INCLUDE}

#include ${PETSC_DIR}/bmake/common/base # Para PETSc 2.x
#include ${PETSC_DIR}/conf/base # Para PETSc 3.x
include ${PETSC_DIR}/conf/variables # Para PETSc 3.1.x
include ${PETSC_DIR}/conf/rules # Para PETSc 3.1.x
include ${PETSC_DIR}/conf/test # Para PETSc 3.1.x

pre: femsii_pre.o g2f.o P_sistemaEc.o
	-${CLINKER} -o pre.bin femsii_pre.o g2f.o P_sistemaEc.o ${PETSC_SNES_LIB}
	${RM} femsii_pre.o g2f.o P_sistemaEc.o

solve: femsii_solve.o
	-${CLINKER} -o solve.bin femsii_solve.o ${PETSC_KSP_LIB} ${PETSC_LIB} ${PETSC_SNES_LIB}
	${RM} femsii_solve.o

pos: femsii_pos.o
	-${CLINKER} -o pos.bin femsii_pos.o ${PETSC_KSP_LIB} ${PETSC_LIB} ${PETSC_SNES_LIB}
	${RM} femsii_pos.o
